<!DOCTYPE html>
<html lang="vi">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="device-width, initial-scale=1.0">
        <meta name="X-UA-Compatible" content="ie=edge">
        <meta name="author" content="Tu Huynh">
        <title>iGreen | iPhone, iPad, Macbook cũ</title>
        <link rel="stylesheet" href="./css/style.css">
    </head>
    <body>
        <header>
            <nav class="global-nav">
                <div class="branding">
                    <img src="./img/uber.png" alt="" width="100px"/>
                </div>
                <div class="burger">
                    <div class="top_line"></div>
                    <div class="mid_line"></div>
                    <div class="bot_line"></div>
                </div>
            </nav>
        </header>
        
        <main class="about">
            <video playsinline autoplay muted loop id="myVideo">
                <source src="https://www.w3schools.com/html/mov_bbb.mp4" type="video/mp4">
            </video>
            <div class="form-otp">
               <p>Enter the 4-digit code sent to you at
                1847129477.<span>did you enter the 
                    correct number?</span></p>
                <form method="get" class="digit-group" data-group-name="digits" data-autosubmit="false" autocomplete="off">
                    <input id="codeBox1" type="text" maxlength="1" onkeyup="onKeyUpEvent(1, event)" onfocus="onFocusEvent(1)">
                    <input id="codeBox2" type="text" maxlength="1" onkeyup="onKeyUpEvent(2, event)" onfocus="onFocusEvent(2)">
                    <input id="codeBox3" type="text" maxlength="1" onkeyup="onKeyUpEvent(3, event)" onfocus="onFocusEvent(3)">
                    <input id="codeBox4" type="text" maxlength="1" onkeyup="onKeyUpEvent(4, event)" onfocus="onFocusEvent(4)">
                </form>
                <div class="form-footer">
                    <a href="#">I didn’t receive code</a>
                    <button class="button"><img src="./img/right-arrow.png" alt="" width="25px"/></button>
                </div>
            </div>
        </main>    

        <footer>
            <div class="copyright">Copyright</div>
            <div class="social-media">Social Media</div>
        </footer>

        <script type="text/javascript"> 
            function getCodeBoxElement(index) {
                return document.getElementById('codeBox' + index);
                }
                function onKeyUpEvent(index, event) {
                const eventCode = event.which || event.keyCode;
                if (getCodeBoxElement(index).value.length === 1) {
                    if (index !== 4) {
                        getCodeBoxElement(index+ 1).focus();
                    } else {
                        getCodeBoxElement(index).blur();
                        // Submit code
                        console.log('submit code ');
                    }
                }
                if (eventCode === 8 && index !== 1) {
                    getCodeBoxElement(index - 1).focus();
                }
                }
                function onFocusEvent(index) {
                for (item = 1; item < index; item++) {
                    const currentElement = getCodeBoxElement(item);
                    if (!currentElement.value) {
                        currentElement.focus();
                        break;
                    }
                }
            }
        </script>
    </body>
</html>